diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
index 7a09404579a7..7f39e71cb705 100644
--- a/sound/pci/hda/hda_intel.c
+++ b/sound/pci/hda/hda_intel.c
@@ -915,10 +915,10 @@ static void azx_update_rirb(struct azx *chip)
 			smp_wmb();
 			chip->rirb.cmds[addr]--;
 		} else if (printk_ratelimit()) {
-			snd_printk(KERN_ERR SFX "%s: spurious response %#x:%#x, last cmd=%#08x\n",
+			snd_printk(KERN_ERR SFX "%s: spurious response %#x:%#x, last cmd=%#08x, rp=0x%x, wp=0x%x\n",
 				   pci_name(chip->pci),
 				   res, res_ex,
-				   chip->last_cmd[addr]);
+				   chip->last_cmd[addr], rp, wp);
 		}
 	}
 }
